Bug 438974 - Lots of wakeups due to rescheduling interrupts according to powertop
Lots of wakeups due to rescheduling interrupts according to powertop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 06:10 EDT by Steve
Modified: 2010-12-05 02:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Powertop screenshot during high load (791.52 KB, image/png)
2008-03-26 06:12 EDT, Steve
no flags Details
Powertop screenshot during idle load (304.67 KB, image/png)
2008-03-26 06:13 EDT, Steve
no flags Details

  None (edit)
Description Steve 2008-03-26 06:10:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12

Description of problem:
When running powertop in the latest kernel, powertop reports a lot of wakeups due to "Rescheduling interrupts".  This type of wakeup was not seen in the previous 2.6.23 kernels.  I've also noticed that the battery life of my laptop has degraded ever since upgrading to this kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-34

How reproducible:
Sometimes


Steps to Reproduce:
1.  Run powertop
2.  Look at the "Top causes for wakeups" section
3.

Actual Results:
Rescheduling interrupts is sometimes listed as the 1st or 2nd top cause, even under minimal loads.

I have listed in the attachments powertop when there has been high load (powertop.png) and just normal idle-like load (powertop4.png)

Expected Results:


Additional info:
I've also tried downloading the vanilla 2.6.24 kernel from kernel.org.  Same problem is being exhibited.
Comment 1 Steve 2008-03-26 06:12:10 EDT
Created attachment 299120 [details]
Powertop screenshot during high load

Notice the large amount of 'rescheduling interrupts' that are occurring.
Comment 2 Steve 2008-03-26 06:13:34 EDT
Created attachment 299122 [details]
Powertop screenshot during idle load

Notice that rescheduling interrupts is waking up the processor almost as much
as the worst offender (nvidia driver).	Note that this did not occur in the
previous 2.6.23-based kernels.
Comment 3 Steve 2008-03-26 08:42:01 EDT
I forgot to mention that I am running Fedora 8 on an Intel Core 2 Duo 2.16 GHz
so it is utilising both cores.  I say this because I just found another bug
report (related to the 2.6.24 kernel) that reports turning off one core "solves"
this problem.

http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg703359.html
Comment 4 Julian Sikorski 2008-04-03 18:51:23 EDT
This happens under x86_64 with 2.6.24.3-50.fc8 as well.
Comment 5 James 2008-05-19 14:50:14 EDT
I've an Intel Core 2 Duo T8100 (2.1 GHz, 3MiB cache) which sees a large number
of rescheduling interrupts as well:

From running cat /proc/interrupts && uptime,
RES:     484716     473786   Rescheduling interrupts
 19:43:53 up  1:17,  2 users,  load average: 1.18, 1.21, 1.13

so that's around 200/s. This is on kernel-2.6.24.7-92.fc8, booted nohz=off.
Could this be the reason why tasks seem to keep hopping between the cores on my
system rather than staying on one?
Comment 6 Bug Zapper 2008-11-26 05:16:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Julian Sikorski 2008-11-26 09:41:02 EST
Still present in Fedora 10.
Comment 8 Bug Zapper 2009-11-18 05:11:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:06:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Julian Sikorski 2010-01-05 16:09:08 EST
In F-12 I can see around 36 wakeups per second when the system is idle.
Comment 11 Bug Zapper 2010-11-04 07:59:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 02:12:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.